Bug 864187 - Review Request: openscad - The Programmers Solid 3D CAD Modeller
Review Request: openscad - The Programmers Solid 3D CAD Modeller
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
: 678980 (view as bug list)
Depends On: opencsg
Blocks: 884876
  Show dependency treegraph
 
Reported: 2012-10-08 15:45 EDT by Miro Hrončok
Modified: 2014-11-21 07:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 22:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-10-08 15:45:28 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/openscad.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/openscad-2012.10-1.fc17.src.rpm
Description:

OpenSCAD is a software for creating solid 3D CAD objects.
Unlike most free software for creating 3D models (such as the famous
application Blender) it does not focus on the artistic aspects of 3D
modeling but instead on the CAD aspects. Thus it might be the application
you are looking for when you are planning to create 3D models of machine
parts but pretty sure is not what you are looking for when you are more
interested in creating computer-animated movies.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2012-10-08 15:47:12 EDT
Previous version bug 678980

Rewrited from scratch.
Comment 2 Martin Gieseking 2012-10-08 15:50:55 EDT
*** Bug 678980 has been marked as a duplicate of this bug. ***
Comment 3 Ryan K 2012-10-12 22:54:59 EDT
I see that no one is working on this but I'm interested in this package getting into the repos.

I know nothing about Fedora's packaging infrastructure, but I learn fast. Is there some way I can help?
Comment 4 Miro Hrončok 2012-10-13 15:02:56 EDT
You might help by doing the package review, but I'll still need a sponsor.

http://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Comment 5 Mario Blättermann 2012-10-27 15:16:00 EDT
The problem is, there's an open review request for opencsg (bug #825489) which is needed for openscad. But for opencsg, the requester has obviously no time to maintain this package in Fedora officially, and he needs a sponsor anyway. Miro, would you maintain both packages? If yes, then I could imagine to help out with a sponsorship.
Comment 6 Miro Hrončok 2012-10-27 18:16:23 EDT
Yes I would. I've originally made also a openscg spec file, but I've dropped it, it was very similar to #825489.
Comment 7 Mario Blättermann 2012-10-28 13:20:34 EDT
Ok, then please file a new review request for openscg (you might reuse the current spec and srpm, adding a new changelog entry) and mark the current one as a duplicate of yours. Then I will sponsor you and review openscg first. Once it it is built and submitted for testing, we go ahead with openscad.
Comment 8 Miro Hrončok 2012-10-28 22:39:28 EDT
OK, bug #870860
Comment 9 Miro Hrončok 2012-10-31 14:02:10 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/openscad.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/openscad-2012.10.31-1.fc17.src.rpm

- New version
- Solved 2 MLCAD files license issues
- Using full date version
Comment 10 Miro Hrončok 2012-11-18 18:27:29 EST
Mario, can we focus on this now?

There are no new commits since 2012.10.31.
Comment 11 Mario Blättermann 2012-11-20 15:09:20 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4710481

Requires:       %{name}
is insufficient here. You'll need a fully versioned dependency:
Requires:       %{name}%{?_isa} = %{version}-%{release}

Your package contains a *.desktop file, which needs to be installed separately or validated:
http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Some warnings from rpmlint:

openscad.src:12: W: macro-in-comment %{name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

There are some more, regarding missing manpages and so on. Nothing of interest.

The package versioning could cause some problems when upgrading it once a fully versioned tarball has been released. Please read the following:
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
Comment 12 Miro Hrončok 2012-11-20 15:37:10 EST
(In reply to comment #11)
> Requires:       %{name}
> is insufficient here. You'll need a fully versioned dependency:
> Requires:       %{name}%{?_isa} = %{version}-%{release}
Well, I know I should do this, but the think here is MCAD doesn't really need the exact same version and release as OpenSCAD. In my case, you should be able to update openSCAD or MCAD separately. I mean, you can simply run OpenSCAD 2012.11.01 and MCAD form 2012.05.10, it works.

> Your package contains a *.desktop file, which needs to be installed
> separately or validated:
> http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
Will do that.

> Some warnings from rpmlint:
> 
> openscad.src:12: W: macro-in-comment %{name}
> There is a unescaped macro after a shell style comment in the specfile.
> Macros
> are expanded everywhere, so check if it can cause a problem in this case and
> escape the macro with another leading % if appropriate.
The macros are there uncommented, so they can be evaluated if someone wants to recreate the source tarball.

> The package versioning could cause some problems when upgrading it once a
> fully versioned tarball has been released. Please read the following:
> http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
I will certainly read that, just for the record, the date based versioning is not something I've invented, if you build OpenSCAD, the version used is todays date. I overwrite that with:

qmake-qt4 VERSION=%{version} PREFIX=%{_prefix}

Othervise the version (in program's About and such) would depend on the date of building.

What would you suggest? This?

Version: 2011.12 (Latest stable)
Release: 1.20121031gitb04734cbf5%{?dist}

That would mean in program itself, the version would be noted as 2011.06 (a bit old).

What about:

Version: 2012.10 (used version, without day)
Release: 0.31.1{?dist} (0 at the beginning, 31 as the day and .1 so I can bump it)

That would mean in program itself, the version would be noted as 2012.10 (seems OK).

If there is a tarball (e.g. 2012.10) released, I'll do:

Version: 2012.10
Release: 1{?dist}

This should work, right?
Comment 13 Mario Blättermann 2012-11-21 14:41:37 EST
(In reply to comment #12)
> (In reply to comment #11)
> > Requires:       %{name}
> > is insufficient here. You'll need a fully versioned dependency:
> > Requires:       %{name}%{?_isa} = %{version}-%{release}
> Well, I know I should do this, but the think here is MCAD doesn't really
> need the exact same version and release as OpenSCAD. In my case, you should
> be able to update openSCAD or MCAD separately. I mean, you can simply run
> OpenSCAD 2012.11.01 and MCAD form 2012.05.10, it works.
> 
Well, could be, but with full versioning you make sure that both packages will be upfdated, which avoids updating only one by accidence. Of course I believe that it works for the time being, but this could change in the future. 
> > Your package contains a *.desktop file, which needs to be installed
> > separately or validated:
> > http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
> Will do that.
> 
> > Some warnings from rpmlint:
> > 
> > openscad.src:12: W: macro-in-comment %{name}
> > There is a unescaped macro after a shell style comment in the specfile.
> > Macros
> > are expanded everywhere, so check if it can cause a problem in this case and
> > escape the macro with another leading % if appropriate.
> The macros are there uncommented, so they can be evaluated if someone wants
> to recreate the source tarball.
> 
The macros are "commented" by the hash line. It is not needed, drop it.
> > The package versioning could cause some problems when upgrading it once a
> > fully versioned tarball has been released. Please read the following:
> > http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
> I will certainly read that, just for the record, the date based versioning
> is not something I've invented, if you build OpenSCAD, the version used is
> todays date. I overwrite that with:
> 
> qmake-qt4 VERSION=%{version} PREFIX=%{_prefix}
> 
> Othervise the version (in program's About and such) would depend on the date
> of building.
> 
> What would you suggest? This?
> 
> Version: 2011.12 (Latest stable)
> Release: 1.20121031gitb04734cbf5%{?dist}
> 
> That would mean in program itself, the version would be noted as 2011.06 (a
> bit old).
> 
> What about:
> 
> Version: 2012.10 (used version, without day)
> Release: 0.31.1{?dist} (0 at the beginning, 31 as the day and .1 so I can
> bump it)
> 
> That would mean in program itself, the version would be noted as 2012.10
> (seems OK).
> 
> If there is a tarball (e.g. 2012.10) released, I'll do:
> 
> Version: 2012.10
> Release: 1{?dist}
> 
> This should work, right?

This should work, but prepend a version number "0-" as proposed in the guidelines to make sure that a future version "0.1" (or anything similar) gets the correct upgrade path. Or must we not expect such a versioning?
Comment 14 Miro Hrončok 2012-11-23 17:55:29 EST
(In reply to comment #13)
> This should work, but prepend a version number "0-" as proposed in the
> guidelines to make sure that a future version "0.1" (or anything similar)
> gets the correct upgrade path. Or must we not expect such a versioning?

The upstream versions are noted as 2012.6 so if I prepend the version with 0, I would be unable to release further shapshot after the release.

Is this usable?

Version:        2012.10
Release:        0.2%{?dist}
Comment 15 Mario Blättermann 2012-11-24 13:37:06 EST
OK, forget the prepended "0". Seems this is not to resolve this way... Keep the version as it is for the time being. Once a fully versioned tarball has been released (if it ever happens) you could add "Obsoletes:" and "Provides:" tags to get a proper upgrade path.
Comment 16 Miro Hrončok 2012-11-28 11:06:26 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/openscad.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/openscad-2012.10.31-2.fc17.src.rpm

- Commented macros in comments
- Fully versioned dependency of the main package
- added desktop-file-validate
Comment 18 Mario Blättermann 2012-12-02 17:31:42 EST
(In reply to comment #17)
> - Added manpage (BR gzip)

gzip is part of the basic build environment:
http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

It is not needed to add it explicitely.
Comment 19 Miro Hrončok 2012-12-02 18:23:06 EST
Sorry for missing that, updated (didn't bumped the revision number).
Comment 20 Ralf Corsepius 2012-12-03 08:06:43 EST
This is superflous (and wrong):
gzip %{buildroot}%{_mandir}/man1/%{name}.1

rpm-build automatically compresses manpages under %{_mandir}/man1 in the format the distributions wants them the be compressed into (currently gzip).

Please remove this line.
Comment 21 Miro Hrončok 2012-12-03 08:38:30 EST
I was googling it, because I expected such a behaviour, but I couldn't find anything specific, could you plese provide a link to documentation about this? Thanks a lot.


Spec URL: https://raw.github.com/hroncok/SPECS/master/openscad.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/openscad-2012.10.31-4.fc17.src.rpm

- Removed useless gziping
Comment 22 Ralf Corsepius 2012-12-03 08:47:48 EST
(In reply to comment #21)
> I was googling it, because I expected such a behaviour, but I couldn't find
> anything specific, could you plese provide a link to documentation about
> this? Thanks a lot.

Errm, no. Apparently, it's one of the details everybody who is envolved into RH-rpm packaging takes for granted, because RH-rpm-build has been automatically compressing man-pages probably ever rpm since it exists ;)
Comment 23 Mario Blättermann 2012-12-06 16:08:55 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4764644

It fails with the following error message:

BuildError: mismatch when analyzing openscad-MCAD-2012.10.31-4.fc19.noarch.rpm, rpmdiff output was:
removed     REQUIRES openscad(x86-64) = 2012.10.31-4.fc19
added       REQUIRES openscad(x86-32) = 2012.10.31-4.fc19

This means, different output will be produced for the arches, although the package is actually noarch. You could try to find out the reason for the differences. But maybe there is another solution. You are using two source packages for openscad, and as you already wrote, openscad doesn't need openscad-MCAD in the same version (probably, but this is yours). What about to build openscad-MCAD in an independent source rpm? Anyway, openscad-MCAD is not in "Requires:" for openscad, so that could be a proper way to get rid of such errors.
Comment 24 Miro Hrončok 2012-12-06 16:33:45 EST
The reason is obviously here (isa part):
Requires:       %{name}%{?_isa} = %{version}-%{release}

But as you say, separating this might be better.
Comment 25 Miro Hrončok 2012-12-06 17:02:38 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/openscad.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/openscad-2012.10.31-5.fc17.src.rpm

Removed MCAD from this source package
Comment 26 Mario Blättermann 2012-12-07 14:42:20 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4767543

$ rpmlint -i -v *
openscad.src: I: checking
openscad.src: I: checking-url http://www.openscad.org/ (timeout 10 seconds)
openscad.src: W: invalid-url Source0: openscad-2012.10.31.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

openscad.i686: I: checking
openscad.i686: I: checking-url http://www.openscad.org/ (timeout 10 seconds)
openscad.x86_64: I: checking
openscad.x86_64: I: checking-url http://www.openscad.org/ (timeout 10 seconds)
openscad-debuginfo.i686: I: checking
openscad-debuginfo.i686: I: checking-url http://www.openscad.org/ (timeout 10 seconds)
openscad-debuginfo.x86_64: I: checking
openscad-debuginfo.x86_64: I: checking-url http://www.openscad.org/ (timeout 10 seconds)
openscad.spec: W: invalid-url Source0: openscad-2012.10.31.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 2 warnings.

Nothing of interest.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2 with exceptions
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    0257c25980035444fa3912a19ebf6fbba9247b8f52a0656219910d60858953d8  openscad-2012.10.31.tar.gz
    0257c25980035444fa3912a19ebf6fbba9247b8f52a0656219910d60858953d8  openscad-2012.10.31.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 27 Miro Hrončok 2012-12-07 14:54:20 EST
New Package SCM Request
=======================
Package Name: openscad
Short Description: The Programmers Solid 3D CAD Modeller
Owners: churchyard mariobl
Branches: f17 f18
InitialCC: gregjurman
Comment 28 Mario Blättermann 2012-12-09 14:39:14 EST
Miro, please don't forget to set the fedora-cvs flag to "?" when requesting the Git repo. Just did it for you.
Comment 29 Miro Hrončok 2012-12-09 14:41:25 EST
Oh, I would finaly notice that around May :D Thanks a lot.
Comment 30 Jon Ciesla 2012-12-10 08:24:20 EST
Git done (by process-git-requests).
Comment 31 Fedora Update System 2012-12-11 06:54:20 EST
openscad-2012.10.31-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openscad-2012.10.31-5.fc17
Comment 32 Fedora Update System 2012-12-11 06:55:53 EST
openscad-2012.10.31-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openscad-2012.10.31-5.fc18
Comment 33 Fedora Update System 2012-12-11 15:04:24 EST
openscad-2012.10.31-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 34 Fedora Update System 2012-12-19 22:18:32 EST
openscad-2012.10.31-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 35 Fedora Update System 2013-01-06 07:57:46 EST
openscad-2013.01.05-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openscad-2013.01.05-1.fc17
Comment 36 Fedora Update System 2013-01-06 08:00:48 EST
openscad-2013.01.05-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openscad-2013.01.05-1.fc18
Comment 37 Fedora Update System 2013-01-09 12:15:33 EST
openscad-2013.01.08-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openscad-2013.01.08-1.fc18
Comment 38 Fedora Update System 2013-01-09 12:16:56 EST
openscad-2013.01.08-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openscad-2013.01.08-1.fc17
Comment 39 Fedora Update System 2013-01-11 20:07:52 EST
openscad-2012.10.31-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 40 Fedora Update System 2013-01-19 09:25:29 EST
openscad-2013.01.17-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openscad-2013.01.17-1.fc17
Comment 41 Fedora Update System 2013-01-19 09:26:57 EST
openscad-2013.01.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openscad-2013.01.17-1.fc18
Comment 42 Fedora Update System 2013-01-19 22:09:17 EST
openscad-2013.01.08-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Fedora Update System 2013-01-27 18:30:32 EST
openscad-2013.01.17-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openscad-2013.01.17-2.fc17
Comment 44 Fedora Update System 2013-01-27 18:31:36 EST
openscad-2013.01.17-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openscad-2013.01.17-2.fc18
Comment 45 Fedora Update System 2013-02-02 22:38:50 EST
openscad-2013.01.17-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openscad-2013.01.17-3.fc17
Comment 46 Fedora Update System 2013-02-02 22:39:41 EST
openscad-2013.01.17-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openscad-2013.01.17-3.fc18
Comment 47 Mario Blättermann 2013-02-03 11:45:21 EST
Miro, you don't have to submit the bug number of the review request when updating your packages. The bug report is already closed anyway. In case of an existing bug report for the package itself (e.g. a request to update it, or a crash report) please add those numbers.
Comment 48 Miro Hrončok 2013-02-03 11:48:16 EST
OK.
Comment 49 Fedora Update System 2013-02-10 23:58:12 EST
openscad-2013.01.17-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 50 Fedora Update System 2013-02-10 23:59:00 EST
openscad-2013.01.17-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 51 Jiri Kastner 2014-11-20 09:24:42 EST
Package Change Request
======================
Package Name: openscad
New Branches: epel7
Owners: churchyard
Comment 52 Miro Hrončok 2014-11-20 13:42:49 EST
Jiri, I'm not willing to maintain current version of OpenSCAD for 10+ years. Feel free to take this effort, but do not mark me as an owner. The same for openscad-MCAD.
Comment 53 Jiri Kastner 2014-11-21 07:54:06 EST
Package Change Request
======================
Package Name: openscad
New Branches: epel7
Owners: jkastner

Note You need to log in before you can comment on or make changes to this bug.